<?php

declare(strict_types=1);

namespace App\Framework\DateTime;

use App\Framework\DI\Initializer;

final readonly class HighResolutionClockInitializer
{
    #[Initializer]
    public function __invoke(): HighResolutionClock
    {
        return new SystemHighResolutionClock();
    }
}
